package com.lightinit.hsdataplatformresdir.entity;

import java.math.BigDecimal;
import java.util.Date;

public class RequirementApi {
    private Long id;

    private String systemName;

    private String systemType;

    private String belongTo;

    private Byte hasOwnership;

    private String networkType;

    private String devLanguage;

    private Integer interfaceCount;

    private Date deadline;

    private String rqrmntUser;

    private String contact1;

    private String phone1;

    private String contact2;

    private String phone2;

    private String needPlatformSupport;

    private Long categoryId;

    private BigDecimal expectedQuote;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    private String description;

    private String systemDesc;

    private String url;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public String getSystemDesc() {
        return systemDesc;
    }

    public void setSystem_desc(String system_desc) {
        this.systemDesc = system_desc == null ? null : system_desc.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName == null ? null : systemName.trim();
    }

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType == null ? null : systemType.trim();
    }

    public String getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(String belongTo) {
        this.belongTo = belongTo == null ? null : belongTo.trim();
    }

    public Byte getHasOwnership() {
        return hasOwnership;
    }

    public void setHasOwnership(Byte hasOwnership) {
        this.hasOwnership = hasOwnership;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType == null ? null : networkType.trim();
    }

    public String getDevLanguage() {
        return devLanguage;
    }

    public void setDevLanguage(String devLanguage) {
        this.devLanguage = devLanguage == null ? null : devLanguage.trim();
    }

    public Integer getInterfaceCount() {
        return interfaceCount;
    }

    public void setInterfaceCount(Integer interfaceCount) {
        this.interfaceCount = interfaceCount;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public String getRqrmntUser() {
        return rqrmntUser;
    }

    public void setRqrmntUser(String rqrmntUser) {
        this.rqrmntUser = rqrmntUser == null ? null : rqrmntUser.trim();
    }

    public String getContact1() {
        return contact1;
    }

    public void setContact1(String contact1) {
        this.contact1 = contact1 == null ? null : contact1.trim();
    }

    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1 == null ? null : phone1.trim();
    }

    public String getContact2() {
        return contact2;
    }

    public void setContact2(String contact2) {
        this.contact2 = contact2 == null ? null : contact2.trim();
    }

    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2 == null ? null : phone2.trim();
    }

    public String getNeedPlatformSupport() {
        return needPlatformSupport;
    }

    public void setNeedPlatformSupport(String needPlatformSupport) {
        this.needPlatformSupport = needPlatformSupport == null ? null : needPlatformSupport.trim();
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public BigDecimal getExpectedQuote() {
        return expectedQuote;
    }

    public void setExpectedQuote(BigDecimal expectedQuote) {
        this.expectedQuote = expectedQuote;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}